Skip to main content
`Ctrl`+`K`

# PetscMatlabEnginePutArray

Puts an array into the MATLAB space, treating it as a Fortran style (column major ordering) array. For parallel objects, each processors part is put in a separate MATLAB process.

## Synopsis

    #include "petscmatlab.h"
    PetscErrorCode PetscMatlabEnginePutArray(PetscMatlabEngine mengine, int m, int n, const PetscScalar array[], const char name[])

Collective

## Input Parameters

- mengine - the MATLAB engine

- m - the x dimension of the array

- n - the y dimension of the array

- array - the array (represented in one dimension)

- name - the name of the array

## See Also

`PetscMatlabEngineDestroy()`, `PetscMatlabEngineCreate()`, `PetscMatlabEngineGet()`, `PetscMatlabEngineEvaluate()`, `PetscMatlabEngineGetOutput()`, `PetscMatlabEnginePrintOutput()`, `PETSC_MATLAB_ENGINE_()`, `PetscMatlabEnginePut()`, `PetscMatlabEngineGetArray()`, `PetscMatlabEngine`

## Level

advanced

## Location

src/sys/classes/matlabengine/matlab.c

Index of all Matlab routines
Table of Contents for all manual pages
Index of all manual pages